;( function($) {
	$(window).on("elementor/frontend/init", function(){

		// Slider
		elementorFrontend.hooks.addAction('frontend/element_ready/drvng_main_slider.default', function(){
            if ($(".banner-slider").length > 0) {

                // Banner Slider
                var bannerSlider = new Swiper('.banner-slider', {
                    preloadImages: false,
                    loop: true,
                    grabCursor: true,
                    centeredSlides: false,
                    resistance: true,
                    resistanceRatio: 0.6,
                    speed: 1400,
                    spaceBetween: 0,
                    parallax: false,
                    effect: "slide",
                    autoplay: {
                        delay: 6000,
                        disableOnInteraction: false
                    },
                    pagination: {
                        el: '.banner-slider-pagination',
                        clickable: true,
                    },
                    navigation: {
                        nextEl: '.banner-slider-button-next',
                        prevEl: '.banner-slider-button-prev',
                    },
                });
            }
            
		});
	})
})(jQuery);