<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


if ( ! function_exists( 'drvng_coloumn_control' ) ) :
 function drvng_coloumn_control( $obj, $max = 3, $min = 1 ) {

	$option = array();

	for ( $i = $min; $i <= $max; $i++ ) {
		switch ( $i ) {
			case 1:
				$option ['col-lg-12'] = __( '1', 'karde-core' );
				break;
			case 2:
				$option ['col-lg-6'] = __( '2', 'karde-core' );
				break;
			case 3:
				$option ['col-lg-4'] = __( '3', 'karde-core' );
				break;
			case 4:
				$option ['col-lg-3'] = __( '4', 'karde-core' );
				break;
			case 6:
				$option ['col-lg-2'] = __( '6', 'karde-core' );
				break;
			case 12:
				$option ['col-lg-1'] = __( '12', 'karde-core' );
				break;
		}
	}

	$obj->add_control(
		'number_of_coloumns',
		array(
			'label'     => __( 'Number Of Coloumns', 'karde-core' ),
			'separator' => 'before',
			'type'      => \Elementor\Controls_Manager::SELECT,
			'options'   => $option,
			'default'   => 'col-lg-3',

		)
	);

}
endif;


if ( ! function_exists( 'drvng_coloumn_control_output' ) ) :
 function drvng_coloumn_control_output( $obj, $settings ) {
	$number_of_coloumns = $settings['number_of_coloumns'];

	echo $number_of_coloumns;
}
endif;