<?php


class Icon
{

	public function __construct()
	{
		add_filter('elementor/icons_manager/additional_tabs', array($this, 'custom_icon'));
	}

	function custom_icon($array)
	{
		$plugin_url = plugins_url();

		return array(
			'custom-icon' => array(
				'name'          => 'custom-icon',
				'label'         => 'drvng Icon',
				'url'           => '',
				'enqueue'       => array(
					$plugin_url . '/drvngsupport/assets/public/icon/icons.css',
				),
				'prefix'        => '',
				'displayPrefix' => '',
				'labelIcon'     => 'drvng-icon',
				'ver'           => '',
				'fetchJson'     => $plugin_url . '/drvngsupport/assets/public/icon/js/icon.json',
				'native'        => 1,
			),
		);
	}
}


new Icon();








